{
  "name": "ui",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "dev:local": "cross-env VITE_API_TARGET=http://localhost:8081 vite",
    "dev:remote": "cross-env VITE_API_TARGET=http://192.168.50.86:30090 vite",
    "build": "tsc -p tsconfig.app.json --noEmit && vite build",
    "lint": "eslint .",
    "preview": "vite preview",
    "generate-api": "openapi-typescript src/api/openapi.json -o src/api/schema.d.ts",
    "generate-api:live": "curl -s http://192.168.50.86:30090/api/v1/api-docs -o src/api/openapi.json && openapi-typescript src/api/openapi.json -o src/api/schema.d.ts",
    "test": "vitest run",
    "test:watch": "vitest",
    "test:ui": "vitest --ui",
    "test:e2e": "playwright test",
    "test:e2e:ui": "playwright test --ui",
    "postinstall": "node -e \"const fs=require('fs');fs.mkdirSync('public',{recursive:true});fs.copyFileSync('node_modules/@cameleer/design-system/assets/cameleer-logo.svg','public/favicon.svg')\""
  },
  "dependencies": {
    "@cameleer/design-system": "^0.1.56",
    "@codemirror/autocomplete": "^6.20.1",
    "@codemirror/commands": "^6.10.3",
    "@codemirror/language": "^6.12.3",
    "@codemirror/lint": "^6.9.5",
    "@codemirror/state": "^6.6.0",
    "@codemirror/view": "^6.41.1",
    "@lezer/common": "^1.5.2",
    "@tanstack/react-query": "^5.90.21",
    "js-yaml": "^4.1.1",
    "lucide-react": "^1.7.0",
    "openapi-fetch": "^0.17.0",
    "react": "^19.2.4",
    "react-dom": "^19.2.4",
    "react-router": "^7.13.1",
    "recharts": "^3.8.1",
    "swagger-ui-dist": "^5.32.0",
    "zustand": "^5.0.11"
  },
  "devDependencies": {
    "@eslint/js": "^9.39.4",
    "@playwright/test": "^1.58.2",
    "@testing-library/jest-dom": "^6.9.1",
    "@testing-library/react": "^16.3.2",
    "@testing-library/user-event": "^14.6.1",
    "@types/js-yaml": "^4.0.9",
    "@types/node": "^24.12.0",
    "@types/react": "^19.2.14",
    "@types/react-dom": "^19.2.3",
    "@vitejs/plugin-react": "^6.0.0",
    "@vitest/ui": "^4.1.4",
    "cross-env": "^10.1.0",
    "eslint": "^9.39.4",
    "eslint-plugin-react-hooks": "^7.0.1",
    "eslint-plugin-react-refresh": "^0.5.2",
    "globals": "^17.4.0",
    "jsdom": "^29.0.2",
    "openapi-typescript": "^7.13.0",
    "typescript": "~5.9.3",
    "typescript-eslint": "^8.56.1",
    "vite": "^8.0.0",
    "vitest": "^4.1.4"
  }
}
